Bug 146125 - rebuild of src.rpm not possible
rebuild of src.rpm not possible
Product: Fedora
Classification: Fedora
Component: subversion (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Depends On:
  Show dependency treegraph
Reported: 2005-01-25 11:10 EST by Jan Röhrich
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.1.3-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-15 06:12:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Röhrich 2005-01-25 11:10:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
A rebuild of the subversion src.rpm shipped with FC3 isn't possible.
The build aborts after some python thestscripts failed:

Executing(%check): /bin/sh -e /home/roehrich/rpm/tmp/rpm-tmp.15934
+ umask 022
+ cd /home/roehrich/rpm/tmp
+ cd subversion-1.1.0
+ make check check-swig-pl CLEANUP=yes
Running all tests in config-test...success
Running all tests in diff-diff3-test...success
Running all tests in hashdump-test...success
Running all tests in path-test...success
Running all tests in random-test...success
Running all tests in stream-test...success
Running all tests in string-test...success
Running all tests in time-test...success
Running all tests in translate-test...success
Running all tests in utf-test...success
Running all tests in target-test.py...success
Running all tests in getopt_tests.py...FAILURE
Running all tests in basic_tests.py...FAILURE
Running all tests in commit_tests.py...FAILURE
Running all tests in update_tests.py...FAILURE
Running all tests in switch_tests.py...FAILURE
Running all tests in prop_tests.py...FAILURE
Running all tests in schedule_tests.py...FAILURE
Running all tests in log_tests.py...FAILURE
Running all tests in copy_tests.py...FAILURE
Running all tests in diff_tests.py...FAILURE
Running all tests in export_tests.py...FAILURE
Running all tests in externals_tests.py...FAILURE
Running all tests in merge_tests.py...FAILURE
Running all tests in revert_tests.py...FAILURE
Running all tests in stat_tests.py...FAILURE
Running all tests in trans_tests.py...FAILURE
Running all tests in autoprop_tests.py...FAILURE
Running all tests in blame_tests.py...FAILURE
Running all tests in special_tests.py...FAILURE
Running all tests in svnadmin_tests.py...FAILURE
Running all tests in svnlook_tests.py...FAILURE
Running all tests in svnversion_tests.py...FAILURE
Running all tests in run-fs-tests.py...success
Running all tests in run-repos-tests.py...success
At least one test FAILED, checking
FAIL:  getopt_tests.py 1: run svn with no arguments
FAIL:  getopt_tests.py 2: run svn --version
FAIL:  getopt_tests.py 4: run svn --help
FAIL:  getopt_tests.py 5: run svn help
FAIL:  getopt_tests.py 6: run svn help --version
FAIL:  getopt_tests.py 7: run svn help bogus-cmd
FAIL:  getopt_tests.py 8: run svn help log switch
FAIL:  basic_tests.py 1: basic checkout of a wc
FAIL:  commit_tests.py 1: commit one file
FAIL:  update_tests.py 1: update a locally-modified binary file
FAIL:  switch_tests.py 1: test some basic switching operations
FAIL:  prop_tests.py 1: write/read props in wc only (ps, pl, pdel)
FAIL:  schedule_tests.py 1: schedule: add some files
FAIL:  log_tests.py 1: 'svn log', no args, top of wc
FAIL:  copy_tests.py 1: basic copy and move commands -- on files only
FAIL:  diff_tests.py 1: update a file
FAIL:  export_tests.py 1: export an empty directory
FAIL:  externals_tests.py 1: test checkouts with externals
FAIL:  merge_tests.py 1: performing a merge, with mixed results
FAIL:  revert_tests.py 1: revert reexpands manually contracted keyword
FAIL:  stat_tests.py 1: status on unversioned file in current directory
FAIL:  trans_tests.py 1: commit new files with keywords active from birth
FAIL:  autoprop_tests.py 1: add: config=no,  commandline=none
FAIL:  blame_tests.py 1: annotate a file whose name contains a space
FAIL:  special_tests.py 1: general symlink handling
FAIL:  svnadmin_tests.py 1: 'svnadmin dump' on copied directory
FAIL:  svnlook_tests.py 1: test 'svnlook youngest' subcommand
FAIL:  svnversion_tests.py 1: test 'svnversion' on wc and other dirs
make: *** [check] Fehler 1

I'm rebuilding on a Fedora Core 3 system which is up to date. Same
happens with subversion-1.1.1.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rebuild subversion src.rpm

Actual Results:  Erros listed above

Expected Results:  should rebuild

Additional info:
Comment 1 Joe Orton 2005-01-31 07:01:58 EST
Not seen this before.  Results any different if you do e.g.

export LANG=C LC_ALL=C

before running rpmbuild?  If so, can you cd into the BUILD directory
and run


directly, and report the results?

Comment 2 Jan Röhrich 2005-01-31 09:25:53 EST
The RPM builds fine with doing 'export LANG=C LC_ALL=C' before.

But why? And can this be solved in the spec file?

What do you mean with reporting the results of
'subversion/clients/cmdline/svn'? It outputs a short message which
tells to type 'svn help' for receiving help (in German language):

[roehrich@nb-jr-tux cmdline]$ ./svn
Geben Sie 'svn help' für weitere Hilfe ein.
[roehrich@nb-jr-tux cmdline]$
Comment 3 Joe Orton 2005-01-31 09:55:27 EST
It's because the test suite checks that the output of some commands
like "svn --help" is correct; but of course "correct" varies with
locale.  I'll add an export LANG=C etc to %check for the moment,
thanks for the report.
Comment 4 Joe Orton 2005-02-15 06:12:24 EST
Fixed in 1.1.3-3 for Raw Hide; simple workaround can be used for
rebuilding the FC3 source RPM as above.

Note You need to log in before you can comment on or make changes to this bug.